## org.hibernate.internal.jaxb.mapping.orm
Enum JaxbEnumType

    java.lang.Object
      java.lang.Enum<JaxbEnumType>
          org.hibernate.internal.jaxb.mapping.orm.JaxbEnumType

All Implemented Interfaces:
  Serializable, Comparable<JaxbEnumType>

    public enum JaxbEnumType

extends Enum<JaxbEnumType>

Java class for enum-type.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="enum-type">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="ORDINAL"/>
         <enumeration value="STRING"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ORDINAL`
`STRING`

Method Summary
`static JaxbEnumType` `fromValue(String v)`
`String` `value()`
`static JaxbEnumType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbEnumType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ORDINAL

    public static final JaxbEnumType ORDINAL

### STRING

    public static final JaxbEnumType STRING

Method Detail

### values

    public static JaxbEnumType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbEnumType c : JaxbEnumType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbEnumType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbEnumType fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.